Subject: Draft minutes of the RADEXT Virtual Interim Meeting of July 12, 2010

From: Bernard Aboba <[email-masked]>
Date: Mon, 12 Jul 2010 16:50:18 -0700

RADEXT Virtual Interim Meeting
Monday, July 12, 2010
Meeting starts:  11:10 AM Pacific Time

Chairs:  Bernard Aboba <[email-masked]>
Mauricio Sanchez <[email-masked]>

Minutes

Attendees: 
Dan Romascanu
Dave Mitton
Avi Lior
Stefan Winter
Alan DeKok
W. Dec
Bernard Aboba
Mauricio Sanchez

Agenda

Document Status

The Status-Server draft is now in the RFC Editor Queue.
Dan Romascanu:  Is there a dependency preventing it from being published as an RFC?
Bernard Aboba:  The draft entered the queue on June 7, 2010.  There is no indication of a 
dependency or other holdup.  

Design Guidelines has completed IETF last call and is awaiting resolution of the remaining
issues submitted during the WG "Last Look".   We will discuss the status of the remaining issues today.

The RADIUS over TCP draft is now in state IESG Evaluation: AD Followup, after submission of
the recent update to address IESG comments. 

The IPv6 Access document has now completed WG last call and resolved all open issues. 

The RADSEC document has completed WG last call, but issues remain open. 
 
RADIUS over TCP, Alan DeKok (10 minutes)
http://tools.ietf.org/html/draft-ietf-radext-tcp

A new draft has been submitted that is believed to address IESG comments.
Dan Romascanu:  Has Ralph Drom's DISCUSS comment been addressed? 
Alan DeKok:  I think that all IESG comments have been addressed including Ralph's. 
Dan Romascanu:  I will bring the new version to the attention of the IESG and we will see where we stand.

Design Guidelines, Alan DeKok (30 minutes)
http://tools.ietf.org/html/draft-ietf-radext-design-guidelines

The RADEXT WG "Last Look" completed on June 28, 2010 and a summary was sent to the list:
http://ops.ietf.org/lists/radiusext/2010/msg00493.html
Since then a -15 and a -16 have been submitted to address the vast majority of the issues submitted. 

The intent is to submit a -17 version of the document, addressing outstanding issues still open in the 
tracker.  This includes cleanup of Section 3.3.2 and some redundancy removal.
Bernard Aboba:  One thing I noticed is that a number of section references are wrong due to the reorganization. 
For example, Section 2.1 is still being referred to in a number of places as containing advice on complex attributes, but
that advice is now in Section 3.3.2.  So that still needs to be cleaned up. 
Alan DeKok:  I will read through the document once again.  
Avi Lior: It's not really fair to say that the document doesn't forbid or require anything.  It does contain
normative language:  MUST, SHOULD, etc. right? 
Alan:  All the MUST and MUST NOT uses either represent quotes from existing RFCs, or represent requirements
to follow the IETF process.  There have been some remaining questions on the list relating to assumptions
about implementations (dictionaries, policy languages, data entry, etc.).  

Extended RADIUS Attributes, Alan DeKok (30 minutes)
http://tools.ietf.org/html/draft-ietf-radext-extended-attributes

Alan DeKok:  The current Extended Attributes draft has failed to gain critical mass (shows slide of a car that has fallen down an escalator). 
Multiple attempts to use the current format have been unsuccessful, and there has been 
resistance among multiple authors to creating a dependency on the document.  Yet, the
problems addressed in the document still exist:

* Exhaustion of the RADIUS standard attribute space still looms
* Several SDOs (such as 3GPP2 and WiMAX) in addition to deployed spec (Sterman) have used grouping. 

What do we do next? 
What are the requirements? (Shows a slide of a person in a Chicken Suit)

Bernard Aboba: It seems that the draft attempted to solve at least two problems at once, attribute
exhaustion and the grouping issue.  Did it need to attempt both in the same document?
Avi Lior:  It was decided to solve both problems, but they didn't necessarily have to be solved in the
same document. 
Alan DeKok:  In understanding how to move forward it is useful to understand the requirements. 
In my opinion, supporting multiple levels of grouping is horrendously useful.
Avi Lior:  I agree.   Could you come up with a proposal on a napkin?
Alan DeKok:  I've been doing some thinking about it. 
Bernard Aboba:  Can you work on a proposal for presentation at IETF 78? 
Alan DeKok:  Yes.

IPv6 Access, W. Dec (15 minutes)
http://tools.ietf.org/html/draft-ietf-radext-ipv6-access

The WG last call comments (Issues #2 and 5) have been addressed in -02.  There are no open
issues at the moment. 
Bernard Aboba:  Next step is another (and hopefully last) WG last call. 

Wrapup

Discussion of IETF 78 Agenda

Bernard Aboba:  The RADEXT WG has secured two slots at IETF 78, each roughly an hour.  Unfortunately, the
first slot overlaps with EMU, which is co-chaired by Alan DeKok. 
Alan DeKok:  EMU has a very full agenda, so I won't be able to run out of the EMU meeting to present in RADEXT.
Bernard Aboba:  We can spend the first hour on RADSEC, NAI Discovery and perhaps RADIUS over DTLS. 
Stefan -- can you present those documents?
Stefan Winter:  I can present my drafts.  With some help from Alan, I can also present RADIUS/DTLS. 

Bernard Aboba:  In the second hour starting at 10:30 AM, we can handle the rest of the items,
such as additional discussion of Extended attributes, individual submissions, etc. 
I will post a strawman agenda to the list. 

Meeting Adjourned:  12:05 PM Pacific Time